# -*- encoding: utf-8 -*-
# stub: azure_mgmt_scheduler 0.6.0 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_mgmt_scheduler"
  s.version = "0.6.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Microsoft Corporation"]
  s.date = "2016-09-27"
  s.description = "Microsoft Azure Scheduler Management Client Library for Ruby"
  s.email = "azrubyteam@microsoft.com"
  s.files = ["LICENSE.txt", "lib/azure_mgmt_scheduler.rb", "lib/generated", "lib/generated/azure_mgmt_scheduler", "lib/generated/azure_mgmt_scheduler.rb", "lib/generated/azure_mgmt_scheduler/job_collections.rb", "lib/generated/azure_mgmt_scheduler/jobs.rb", "lib/generated/azure_mgmt_scheduler/models", "lib/generated/azure_mgmt_scheduler/models/basic_authentication.rb", "lib/generated/azure_mgmt_scheduler/models/client_cert_authentication.rb", "lib/generated/azure_mgmt_scheduler/models/day_of_week.rb", "lib/generated/azure_mgmt_scheduler/models/http_authentication.rb", "lib/generated/azure_mgmt_scheduler/models/http_authentication_type.rb", "lib/generated/azure_mgmt_scheduler/models/http_request.rb", "lib/generated/azure_mgmt_scheduler/models/job_action.rb", "lib/generated/azure_mgmt_scheduler/models/job_action_type.rb", "lib/generated/azure_mgmt_scheduler/models/job_collection_definition.rb", "lib/generated/azure_mgmt_scheduler/models/job_collection_list_result.rb", "lib/generated/azure_mgmt_scheduler/models/job_collection_properties.rb", "lib/generated/azure_mgmt_scheduler/models/job_collection_quota.rb", "lib/generated/azure_mgmt_scheduler/models/job_collection_state.rb", "lib/generated/azure_mgmt_scheduler/models/job_definition.rb", "lib/generated/azure_mgmt_scheduler/models/job_error_action.rb", "lib/generated/azure_mgmt_scheduler/models/job_execution_status.rb", "lib/generated/azure_mgmt_scheduler/models/job_history_action_name.rb", "lib/generated/azure_mgmt_scheduler/models/job_history_definition.rb", "lib/generated/azure_mgmt_scheduler/models/job_history_definition_properties.rb", "lib/generated/azure_mgmt_scheduler/models/job_history_filter.rb", "lib/generated/azure_mgmt_scheduler/models/job_history_list_result.rb", "lib/generated/azure_mgmt_scheduler/models/job_list_result.rb", "lib/generated/azure_mgmt_scheduler/models/job_max_recurrence.rb", "lib/generated/azure_mgmt_scheduler/models/job_properties.rb", "lib/generated/azure_mgmt_scheduler/models/job_recurrence.rb", "lib/generated/azure_mgmt_scheduler/models/job_recurrence_schedule.rb", "lib/generated/azure_mgmt_scheduler/models/job_recurrence_schedule_monthly_occurrence.rb", "lib/generated/azure_mgmt_scheduler/models/job_schedule_day.rb", "lib/generated/azure_mgmt_scheduler/models/job_state.rb", "lib/generated/azure_mgmt_scheduler/models/job_state_filter.rb", "lib/generated/azure_mgmt_scheduler/models/job_status.rb", "lib/generated/azure_mgmt_scheduler/models/oauth_authentication.rb", "lib/generated/azure_mgmt_scheduler/models/recurrence_frequency.rb", "lib/generated/azure_mgmt_scheduler/models/retry_policy.rb", "lib/generated/azure_mgmt_scheduler/models/retry_type.rb", "lib/generated/azure_mgmt_scheduler/models/service_bus_authentication.rb", "lib/generated/azure_mgmt_scheduler/models/service_bus_authentication_type.rb", "lib/generated/azure_mgmt_scheduler/models/service_bus_brokered_message_properties.rb", "lib/generated/azure_mgmt_scheduler/models/service_bus_message.rb", "lib/generated/azure_mgmt_scheduler/models/service_bus_queue_message.rb", "lib/generated/azure_mgmt_scheduler/models/service_bus_topic_message.rb", "lib/generated/azure_mgmt_scheduler/models/service_bus_transport_type.rb", "lib/generated/azure_mgmt_scheduler/models/sku.rb", "lib/generated/azure_mgmt_scheduler/models/sku_definition.rb", "lib/generated/azure_mgmt_scheduler/models/storage_queue_message.rb", "lib/generated/azure_mgmt_scheduler/module_definition.rb", "lib/generated/azure_mgmt_scheduler/scheduler_management_client.rb", "lib/generated/azure_mgmt_scheduler/version.rb"]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby"
  s.licenses = ["MIT"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
  s.rubygems_version = "2.5.1"
  s.summary = "Official Ruby client library to consume Microsoft Azure Scheduler Management services."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>, ["~> 1.9"])
      s.add_development_dependency(%q<rake>, ["~> 10"])
      s.add_development_dependency(%q<rspec>, ["~> 3"])
      s.add_development_dependency(%q<dotenv>, ["~> 2"])
      s.add_runtime_dependency(%q<ms_rest_azure>, ["~> 0.5.0"])
    else
      s.add_dependency(%q<bundler>, ["~> 1.9"])
      s.add_dependency(%q<rake>, ["~> 10"])
      s.add_dependency(%q<rspec>, ["~> 3"])
      s.add_dependency(%q<dotenv>, ["~> 2"])
      s.add_dependency(%q<ms_rest_azure>, ["~> 0.5.0"])
    end
  else
    s.add_dependency(%q<bundler>, ["~> 1.9"])
    s.add_dependency(%q<rake>, ["~> 10"])
    s.add_dependency(%q<rspec>, ["~> 3"])
    s.add_dependency(%q<dotenv>, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>, ["~> 0.5.0"])
  end
end
